Classification Rules
List the Tenant's Classification Rules
List the tenant’s classification rules, newest first.
Scopes: tenant:read
GET
/
v0
/
tenant
/
rules
/
classifications
List the Tenant's Classification Rules
curl --request GET \
--url https://api.sandbox.getasset.com/v0/tenant/rules/classifications \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.sandbox.getasset.com/v0/tenant/rules/classifications"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.sandbox.getasset.com/v0/tenant/rules/classifications', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "clr_GA6EG2qFxA97NZHtxeLPUy",
"classifications": [
{
"conditions": {
"amount": {
"operator": "equals",
"value": 100,
"max_value": 250
},
"direction": "money_in",
"date": {
"operator": "equals",
"value": "2023-12-25",
"max_value": "2023-12-25"
}
},
"target_ledger_name": "<string>",
"tags": {}
}
],
"auto_confirm": true,
"is_active": true,
"match_count": 123,
"created_at": "2023-11-07T05:31:56Z",
"merchant": "Starbucks",
"description_match_type": "contains",
"description_value": "MONTHLY SOFTWARE SUBSCRIPTION",
"last_matched_at": "2023-11-07T05:31:56Z"
}
],
"pagination": {
"next_page_token": "<string>",
"previous_page_token": "<string>"
}
}{
"error": "<string>",
"data": "<unknown>"
}{
"error": "<string>",
"data": "<unknown>"
}{
"error": "<string>",
"data": "<unknown>"
}{
"error": "<string>",
"data": "<unknown>"
}{
"error": "<string>",
"data": "<unknown>"
}Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Query Parameters
Filter rules by active status.
The page token to for the next or previous page
Required range:
1 <= x <= 100⌘I
List the Tenant's Classification Rules
